Name:           389-ds-exporter
Version:        0.0.1
Release:        2%{?dist}
Summary:        389 Directory Exporter

License:        GPL
URL:            https://gitlab.team.alternativa.games/ops/389-ds-exporter
BuildArch:      noarch
Source0: https://gitlab.team.alternativa.games/ops/%{name}/-/archive/%{version}/%{name}-%{version}.tar.bz2

BuildRequires:  python-devel
BuildRequires:  python-setuptools

Requires: PyYAML
Requires: python-ldaptor
Requires: python2-service-identity
Requires: pyOpenSSL

%description
389 Directory Exporter for Prometheus.

%prep
%setup -q

%install
mkdir -p %{buildroot}/opt/389_ds_exporter %{buildroot}%{_sysconfdir}/389_ds_exporter %{buildroot}%{_unitdir}
install -m 0755 389_ds_exporter.py %{buildroot}/opt/389_ds_exporter/389_ds_exporter.py
install -m 0644 389_ds_exporter.service %{buildroot}%{_unitdir}/389_ds_exporter.service
install -m 0644 389_ds_exporter.yml %{buildroot}%{_sysconfdir}/389_ds_exporter/389_ds_exporter.yml

%files
%config(noreplace) %{_sysconfdir}/389_ds_exporter/389_ds_exporter.yml
%attr(0755,root,root) /opt/389_ds_exporter/389_ds_exporter.py*
%attr(0644,root,root) %{_unitdir}/389_ds_exporter.service
